Foros del Web » Programando para Internet » Javascript »

Posible problema de compatibilidad entre scripts

Estas en el tema de Posible problema de compatibilidad entre scripts en el foro de Javascript en Foros del Web. Buenos dias, El problema que tengo y que me está matando es que en una misma página intento usar dos scripts: una para un calendario ...
  #1 (permalink)  
Antiguo 12/01/2012, 18:08
 
Fecha de Ingreso: abril-2009
Mensajes: 30
Antigüedad: 10 años, 7 meses
Puntos: 0
Posible problema de compatibilidad entre scripts

Buenos dias,

El problema que tengo y que me está matando es que en una misma página intento usar dos scripts: una para un calendario (mysqlCalendar_1_2) y otro para un slider (tms-0.3). Hasta aquí normal si no fuera porque si funciona uno, no me funciona el otro. No me habia pasado nunca una cosa así.

He estado mirando y remirando que no hubiera un problema de variables duplicadas y demas, pero no es asi. Finalmente he aislado el problema, en el sentido que la orden, en este caso del calendario, que hace que se inviertan los papeles (que el slider deje de funcionar y funcione el calendario) es la siguiente:

includeScrollOffsets: false,

Que esta insertado en la sentencia:

if (navigator.appVersion.match(/\bMSIE\b/))
Event.observe(window, 'unload', Event.unloadCache, false);
var Position = {
includeScrollOffsets: false,

prepare: function() {
this.deltaX = window.pageXOffset
|| document.documentElement.scrollLeft
|| document.body.scrollLeft
|| 0;
this.deltaY = window.pageYOffset
|| document.documentElement.scrollTop
|| document.body.scrollTop
|| 0;
},


La verdad es que esta dando quebraderos de cabeza porque no se como resolver el problema. ¿Alguien podria darme una sugerencia? se agradece de antemano.

Etiquetas: compatibilidad, includescrolloffsets, scripts
Atención: Estás leyendo un tema que no tiene actividad desde hace más de 6 MESES, te recomendamos abrir un Nuevo tema en lugar de responder al actual.
Respuesta




La zona horaria es GMT -6. Ahora son las 02:33.